# Tourplaner: tourplaner.object.Tour Class Reference

tourplaner.object.Tour Class Reference

## Public Member Functions

| Tour (String name, String dauer, String mapJson, double strecke, String start, String ziel)
| Tour (String name, String dauer, String mapJson, double strecke, String start, String ziel, ArrayList< Log > logs)
void | setTour (Tour tour)
void | setLog (ArrayList< Log > log)
Log | getLog (String id)
void | addLog (Log newLog)
ArrayList< Log > | getLogs ()
void | delLog (String id)
String | getDauer ()
void | setDauer (String dauer)
String | getMapJson ()
void | setMapJson (String mapJson)
double | getStrecke ()
void | setStrecke (double strecke)
String | getName ()
void | setName (String name)
String | getStart ()
void | setStart (String start)
String | getZiel ()
void | setZiel (String ziel)

## Detailed Description

Model einer Tour

## Constructor & Destructor Documentation

## Tour() [1/2]

tourplaner.object.Tour.Tour | ( | String | name,
|  | String | dauer,
|  | String | mapJson,
|  | double | strecke,
|  | String | start,
|  | String | ziel
| ) |  |

## Tour() [2/2]

tourplaner.object.Tour.Tour | ( | String | name,
|  | String | dauer,
|  | String | mapJson,
|  | double | strecke,
|  | String | start,
|  | String | ziel,
|  | ArrayList< Log > | logs
| ) |  |

## Member Function Documentation

## addLog()

void tourplaner.object.Tour.addLog | ( | Log | newLog | ) |

Fügt ein Log Eintrag hinzu

Parameters

  newLog | Der neue Log Eintrag

## delLog()

void tourplaner.object.Tour.delLog | ( | String | id | ) |

Löscht einen Log eintrag anhand der ID

Parameters

  id | Id die zum löschen ist

## getDauer()

String tourplaner.object.Tour.getDauer | ( |  | ) |

## getLog()

Log tourplaner.object.Tour.getLog | ( | String | id | ) |

Holt einen einzigen Log Eintrag anhand der Id

Parameters

  id | Id des Eintrags der zu besorgen ist

Returns
  Der gefundene Log Eintrag

## getLogs()

ArrayList<Log> tourplaner.object.Tour.getLogs | ( |  | ) |

Gibt alle log Einträge zurück

Returns
  Alle log Einträge in einer Arraylist

## getMapJson()

String tourplaner.object.Tour.getMapJson | ( |  | ) |

## getName()

String tourplaner.object.Tour.getName | ( |  | ) |

## getStart()

String tourplaner.object.Tour.getStart | ( |  | ) |

## getStrecke()

double tourplaner.object.Tour.getStrecke | ( |  | ) |

## getZiel()

String tourplaner.object.Tour.getZiel | ( |  | ) |

## setDauer()

void tourplaner.object.Tour.setDauer | ( | String | dauer | ) |

## setLog()

void tourplaner.object.Tour.setLog | ( | ArrayList< Log > | log | ) |

## setMapJson()

void tourplaner.object.Tour.setMapJson | ( | String | mapJson | ) |

## setName()

void tourplaner.object.Tour.setName | ( | String | name | ) |

## setStart()

void tourplaner.object.Tour.setStart | ( | String | start | ) |

## setStrecke()

void tourplaner.object.Tour.setStrecke | ( | double | strecke | ) |

## setTour()

void tourplaner.object.Tour.setTour | ( | Tour | tour | ) |

## setZiel()

void tourplaner.object.Tour.setZiel | ( | String | ziel | ) |

The documentation for this class was generated from the following file:

- src/tourplaner/object/Tour.java